import { FASTElement } from '@microsoft/fast-element';
export declare enum EventName {
    STYLES_CHANGED = "styles-changed",
    DS_CHANGED = "design-system-changed",
    APPLY_CUSTOM_DESIGN = "apply-custom-design"
}
export interface StyleUpdateEventDetail {
    accentColor: string;
    neutralColor: string;
    bodyFont: string;
    luminance: number;
    density: number;
    designUnit: number;
    borderRadius: number;
    strokeWidth: number;
    baseFontSize: string;
    baseLineHeight: string;
}
export interface DSUpdateEventDetail {
    prefix: string;
    buttonAppearanceAccent: string;
    buttonAppearanceNeutral: string;
    buttonAppearanceOutline: string;
}
export interface DesignSystem {
    name: string;
    value: string;
}
export declare class DesignSystemEditor extends FASTElement {
    customDesignMode: boolean;
    designSystems: DesignSystem[];
    customDesignModeChanged(oldValue: boolean, newValue: boolean): void;
    ds: string;
    dsChanged(oldValue: string, newValue: string): void;
    darkMode: boolean;
    luminance: number;
    neutralColor: string;
    accentColor: string;
    bodyFont: string;
    density: number;
    borderRadius: number;
    strokeWidth: number;
    designUnit: number;
    baseFontSize: string;
    baseLineHeight: string;
    changeHandler: (e: CustomEvent) => void;
    modeChangeHandler: (e: CustomEvent) => void;
    styleUpdate: () => void;
    applyCustomDSTokens: (e: any) => void;
    setTokensFromDs: (ds: StyleUpdateEventDetail) => void;
    setCustomTokens: () => Promise<void>;
    resetChanges: () => Promise<void>;
    connectedCallback(): void;
}
//# sourceMappingURL=design-system-editor.d.ts.map